<html>
<head>
	<title></title>
	<script>
 var theArg = window.dialogArguments;
 
 function changefontcolor1(colorType){

	  var Callcolordialog1 = colordialog1.ChooseColorDlg();
	  Callcolordialog1 = Callcolordialog1.toString(16);
	  if (Callcolordialog1.length < 6) {
	   var Temp = "000000".substring(0,6-Callcolordialog1.length);
	   Callcolordialog1 = Temp.concat(Callcolordialog1);
	  }
	  document.getElementById("bgtd").style.backgroundColor="#"+Callcolordialog1;
   return ;
 }
 function changefontcolor2(colorType){

	  var Callcolordialog1 = colordialog1.ChooseColorDlg();
	  Callcolordialog1 = Callcolordialog1.toString(16);
	  if (Callcolordialog1.length < 6) {
	   var Temp = "000000".substring(0,6-Callcolordialog1.length);
	   Callcolordialog1 = Temp.concat(Callcolordialog1);
	  }
	  document.getElementById("bgclr").style.backgroundColor="#"+Callcolordialog1;
   return ;
 }
 function savetblpro(){
  s = new Object();
  s.cellPadding=document.getElementById("tcellpading").value;
  s.cellSpacing=document.getElementById("tcellspacing").value;
  s.border=document.getElementById("tborder").value;
  s.width=document.getElementById("twidth").value;
  s.align=document.getElementById("talign").value;
  s.bgColor=document.getElementById("bgclr").style.backgroundColor;
  s.borderColor= document.getElementById("bgtd").style.backgroundColor;
  window.returnValue =s;
  window.close();
 }
 function loadvalues(){
  document.getElementById("tcellpading").value=theArg.getAttribute('cellspacing');
  document.getElementById("tcellspacing").value=theArg.getAttribute('cellspacing');
  document.getElementById("tborder").value=theArg.border;
  document.getElementById("twidth").value=theArg.width;
  document.getElementById("bgtd").style.backgroundColor=theArg.getAttribute('borderColor');
  document.getElementById("bgclr").style.backgroundColor=theArg.getAttribute('bgColor');
  
  //window.returnValue =s;
 
 }
</script>
</head>
<body bgcolor=gray onload="loadvalues()">
<OBJECT id=colordialog1 height=0px width=0px  classid=clsid:3050f819-98b5-11cf-bb82-00aa00bdce0b></OBJECT>
  <table>
      <form name=tableproper method=post>
      
	  <tr>
	     <td>Align</td>
		 <td>
		    <select id=talign>
			  <option value="left">left</option>
			  <option value="right">right</option>
			  <option value="center">center</option>
			</select>
		 </td>
		 <td>Width</td>
		 <td><input type=text id=twidth  size=5></td> 
	  </tr>
	  <tr>
	     <td>Cell Padding</td>
		 <td><input type=text id=tcellpading name=tcellpading size=5></td>
		  <td>CellSpacing</td>
		 <td><input type=text id=tcellspacing name=tcellspacing size=5></td>
	  </tr>
	  <tr>
	     <td>Border</td>
		 <td><input type=text id=tborder  size=5></td>
		 <td>BorderColor</td>
		 <td><input id=bgtd size=5 readonly style="background-color: red"><input type=button value=".." onclick="changefontcolor1(2);"></td>
		  
	  </tr>
	  <tr>
	     <td>&nbsp;</td>
		 <td>&nbsp;</td>
		 <td>BackColor</td>
		 <td><input id=bgclr size=5 readonly style="background-color:white"><input type=button value=".." onclick="changefontcolor2(2);"></td>
		  
	  </tr>
	  <tr>
	    <td colspan=2><input type=button value="Modify Table" onclick="savetblpro();"></td>
		<td colspan=2><input type=button value="Cancel" onclick="canceltblpro();"></td>
	  </tr>
	  </form>
  </table>
</body>
</html>
